<?php
#Перемещение файла
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'mesto') {
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=mesto&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";
    echo "Новый путь для основного файла:<br />\n";
    echo "<select class=\"form-control\" name=\"path\">";
    dirrs('../sys/loads/files', '../sys/loads/files');
    echo "</select>\n";
    echo "Новый путь для дополнительных файлов:*<br />\n";
    echo "<select class=\"form-control\" name=\"path1\">";
    dirrs('../sys/loads/files_dop', '../sys/loads/files_dop');
    echo "</select><br />\n";

    $doc->Button('btn btn-success btn-sm', null, 'exchange', 'Переместить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');

    echo "<br />\n";
    echo "* Такой же как и для основного файла<br />";
    echo "</form>";
}

#Редактирование дополнительного файла
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'edit') {
    $fil = preg_replace("#.*/#", NULL, urldecode($_GET['fil']));
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=edit_file&amp;ok&amp;fil=$fil&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    $name4 = trim(esc(file_get_contents($dir_l . '/' . $fil . '.99.99.name')));

    $doc->Textarea('name_lo', "Описание файла $fil", null, "$name4");
    echo "<br />\n";
    $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');
    echo "</form>";
}

#Редактирование файла
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'osnov') {
    $name3 = trim(esc(implode(NULL, file($dir_loads . '/' . $file . '.99.99.name'))));
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=osnov&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";
    $doc->Textarea('name_l', "Описание файла $fil", null, "$name3");
    echo "<br />\n";
    $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');

    echo "</form>";

    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=files_osnov_add&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    echo "Файл:<br />\n";
    echo "<input class='form-control' name=\"file1\" type=\"file\" /><br />\n";
    $doc->Button('btn btn-success btn-sm', 'ok', 'upload', 'Выгрузить');

    echo "</form>";
}

#Импортируем дополнительные файлы
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'files_add_im') {
    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=files_add_im&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";
    if (isset($_POST['k_forms'])) {
        $k_forms = intval($_POST['k_forms']);
    } elseif (isset($_SESSION['k_forms'])) {
        $k_forms = intval($_SESSION['k_forms']);
    } else {
        $k_forms = 1;
    }
    $_SESSION['k_forms'] = $k_forms;
    echo lang("Количество дополнительных файлов") . ":<br />\n";
    ?>
    <div class="input-group">
        <input type="text" name='k_forms' class="form-control" value="<?= $k_forms ?>">
        <span class="input-group-btn">
            <button class="btn btn-secondary">Показать</button>
        </span>
    </div>
    <?php
    for ($i = 0; $i < $k_forms; $i++) {
        echo "Описание дополнительного файла (" . ($i + 1) . "):<br />\n";
        echo "<textarea name='name1_$i' class='form-control'></textarea>\n";
        echo "Дополнительный файл (" . ($i + 1) . "):<br />\n";
        echo "<input name=\"file1_$i\" required class='form-control' type=\"text\" /><hr>\n";
    }
    $doc->Button('btn btn-success btn-sm', 'ok', 'download', 'Импортировать');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');

    echo "</form>";
}

#Выгружаем дополнительные файлы
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'files_add_up') {
    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=files_add_up&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";
    if (isset($_POST['k_forms'])) {
        $k_forms = intval($_POST['k_forms']);
    } elseif (isset($_SESSION['k_forms'])) {
        $k_forms = intval($_SESSION['k_forms']);
    } else {
        $k_forms = 1;
    }
    $_SESSION['k_forms'] = $k_forms;
    echo lang("Количество дополнительных файлов") . ":<br />\n";
    ?>
    <div class="input-group">
        <input type="text" name='k_forms' class="form-control" placeholder="Ваш логин" value="<?= $k_forms ?>">
        <span class="input-group-btn">
            <button class="btn btn-secondary">Показать</button>
        </span>
    </div>
    <?php
    for ($i = 0; $i < $k_forms; $i++) {
        echo "Описание дополнительного файла (" . ($i + 1) . "):<br />\n";
        echo "<textarea name='name1_$i' class='form-control'></textarea>\n";
        echo "Дополнительный файл (" . ($i + 1) . "):<br />\n";
        echo "<input name=\"file1_$i\" required class='form-control' type=\"file\" /><hr>\n";
    }
    echo "* Параметры сервера позволяют выгружать файлы размером до " . size_file($upload_max_filesize) . "<br />\n";

    $doc->Button('btn btn-success btn-sm', 'ok', 'upload', 'Выгрузить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');

    echo "</form>";
}

#Параметры файла
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'prop') {
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=prop&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    if (function_exists('iconv')) {
        $jfile = iconv('windows-1251', 'utf-8', $file);
    } else {
        $jfile = $file;
    }

    $name = preg_replace('#\.[^\.]*$#i', NULL, $jfile); // имя файла без расширения
    $ras = strtolower(preg_replace('#^.*\.#i', NULL, $jfile)); // расширение (в нижнем регистре)

    echo lang('Название файла на сервере') . ":<br />\n";
    echo "<div class='row'>";
    echo "<div class='col-xs-8'><input type=\"text\" class='form-control' name=\"name_serv\" value=\"" . toOutput($name) . "\" /></div><div class='col-xs-3'><input class='form-control' type=\"text\" size='3' name=\"ras_serv\" value=\"$ras\" /></div><br />\n";
    echo "</div>";
    echo lang('Название файла в загрузках') . ":<br />\n";
    echo "<input type=\"text\" class='form-control' name=\"name_loads\" value=\"" . toOutput($name2) . "\"/>\n";
    echo "Описание файла:<br />\n";

    $opis = NULL;
    if (is_file($dir_loads . '/' . $file . '.opis')) { // проверка описания
        $opis = trim(esc(implode(NULL, file($dir_loads . '/' . $file . '.opis'))));
    } elseif (is_file($dir_loads . '/' . $file . '.txt')) { // проверка описания в txt файле
        $opis = trim(esc(implode(NULL, file($dir_loads . '/' . $file . '.txt'))));
    }

    echo "<textarea class='form-control' name='opis'>$opis</textarea><br />\n";

    $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');

    echo "</form>";
}

if (access('loads_file_scr') && isset($_GET['act']) && $_GET['act'] == 'scr' && $l != null) {
    echo "<div class='list-group-item-null'>";
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.1.GIF") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.1.JPG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.1.PNG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.1.JPEG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } else {
        echo "<b>" . lang('Нет скрина загруженого пользователем') . "</b><br />\n";
    }
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    }

    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.2.GIF") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.2.JPG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.2.PNG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.2.JPEG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } else {
        echo "<b>" . lang('Нет скрина загруженого пользователем') . "</b><br />\n";
    }
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr2&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr2&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr2&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr2&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    }

    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.3.GIF") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.3.JPG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.3.PNG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$dirlist[$i]$file.3.JPEG") . "&amp;w=59&amp;h=59\" alt=\"Скрин...\" /></a>\n";
    } else {
        echo "<b>" . lang('Нет скрина загруженого пользователем') . "</b><br />\n";
    }
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr3&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr3&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr3&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrr3&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='hint--right' data-hint='" . lang('Удалить скрин') . "'><i class='fa fa-trash'></i></a><br />";
    }
    echo "</div>";

    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=scr1&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    echo "Скрин 1:<br />\n";
    echo "<input name=\"scr1\" class='btn btn-secondary btn-sm' type=\"file\" accept='image/*,image/gif,image/png,image/jpeg' /> \n";

    $doc->Button('btn btn-success-outline btn-sm', 'ok', 'check', 'Заменить');
    echo "</form>";

    echo "<form class='list-group-item' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=scr2&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    echo "Скрин 2:<br />\n";
    echo "<input name=\"scr2\" class='btn btn-secondary btn-sm' type=\"file\" accept='image/*,image/gif,image/png,image/jpeg' /> \n";


    $doc->Button('btn btn-success-outline btn-sm', 'ok', 'check', 'Заменить');
    echo "</form>";

    echo "<form class='list-group-item' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=scr3&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" method=\"post\">";

    echo "Скрин 3:<br />\n";
    echo "<input name=\"scr3\" class='btn btn-secondary btn-sm' type=\"file\" accept='image/*,image/gif,image/png,image/jpeg' /> \n";


    $doc->Button('btn btn-success btn-sm', 'ok', 'check', 'Заменить');
    echo "<br /><br />";
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", null, 'Отмена');
    echo "</form>";
}

#Удаление дополнительного файла
if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'deletet') {
    echo "<div class=\"list-group-item-null list-group-item-danger\" >";
    $fil = preg_replace("#.*/#", NULL, urldecode($_GET['fil']));
    echo lang('Подтверждаете удаление дополнительного файла') . " $fil?<br />\n";
    echo "<a href='?" . url("d=$l&amp;act=deletet&amp;ok&amp;fil=$fil&amp;f=$file&amp;page=$_SESSION[page]") . "' class='btn btn-secondary btn-sm'>Да</a> \n";
    echo "<a href='?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "' class='btn btn-secondary btn-sm'>Нет</a>\n";
    echo "</div>";
}

if (access('loads_file_scrr') && isset($_GET['act']) && $_GET['act'] == 'scrr1') {

    echo "<div class=\"list-group-item-null list-group-item-danger\" >";
    echo lang('Подтвердите удаление скрина') . "?<br />\n";
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrj1&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrp1&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrg1&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.1.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrjpe1&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    }

    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Нет</a><br />\n";
    echo "</div>";
}

if (access('loads_file_scrr') && isset($_GET['act']) && $_GET['act'] == 'scrr2') {

    echo "<div class=\"list-group-item list-group-item-danger\" >";
    echo lang('Подтвердите удаление скрина') . "?<br />\n";
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrj2&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrp2&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrg2&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.2.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrjpe2&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    }
    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Нет</a><br />\n";
    echo "</div>";
}

if (access('loads_file_scrr') && isset($_GET['act']) && $_GET['act'] == 'scrr3') {

    echo "<div class=\"list-group-item-null list-group-item-danger\" >";
    echo lang('Подтвердите удаление скрина') . "?<br />\n";
    if (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrj3&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrp3&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrg3&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    } elseif (is_file($dir_loads . '/' . $dirlist[$i] . '' . $file . '.3.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;act=scrjpe3&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    }

    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Нет</a><br />\n";
    echo "</div>";
}

if (access('loads_file_delete') && isset($_GET['act']) && $_GET['act'] == 'delete') {

    echo "<div class=\"list-group-item-null list-group-item-danger\" >";
    echo lang('Подтвердите удаление файла') . "?<br />\n";
    echo "<a href=\"?" . url("d=$l&amp;act=delete&amp;ok&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Да</a> \n";
    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\" class='btn btn-secondary btn-sm'>Нет</a><br />\n";
    echo "</div>";
}
if (access('loads_file_edit') || access('loads_file_scr') || access('loads_file_scrr') || access('loads_file_delete')) {
    if (access('loads_file_edit')) {
        echo "<a class=\"list-group-item-null list-group-item-info\" href=\"?" . url("d=$l&amp;act=files_add_im&amp;f=$file&amp;page=$_SESSION[page]") . "\" ><i class='fa fa-download fa-fw'></i> " . lang('Импортировать файл') . "</a>\n";
    }
    if (access('loads_file_edit')) {
        echo "<a class=\"list-group-item-null list-group-item-info\" href=\"?" . url("d=$l&amp;act=files_add_up&amp;f=$file&amp;page=$_SESSION[page]") . "\" ><i class='fa fa-plus fa-fw'></i> " . lang('Добавить файл') . "</a>\n";
    }
    if (access('loads_file_scr')) {
        echo "<a class=\"list-group-item-null list-group-item-info\" href=\"?" . url("d=$l&amp;act=scr&amp;act=scr&amp;f=$file&amp;page=$_SESSION[page]") . "\" ><i class='fa fa-cog fa-fw'></i> " . lang('Параметры скрина') . "</a>\n";
    }
    if (access('loads_file_edit')) {
        echo "<a class=\"list-group-item-null list-group-item-info\" href=\"?" . url("d=$l&amp;act=scr&amp;act=mesto&amp;f=$file&amp;page=$_SESSION[page]") . "\" ><i class='fa fa-reply-all fa-fw'></i> " . lang('Переместить файл') . "</a>\n";
    }
}
